\let\mypdfximage\pdfximage\def\pdfximage{\immediate\mypdfximage}\documentclass[twoside]{book}

%% moved from doxygen.sty due to workaround for LaTex 2019 version and unmaintained tabu package
\usepackage{ifthen}
\ifx\requestedLaTeXdate\undefined
\usepackage{array}
\else
\usepackage{array}[=2016-10-06]
\fi
%%
% Packages required by doxygen
\usepackage{fixltx2e}
\usepackage{calc}
\usepackage{doxygen}
\usepackage{graphicx}
\usepackage[utf8]{inputenc}
\usepackage{makeidx}
\usepackage{multicol}
\usepackage{multirow}
\PassOptionsToPackage{warn}{textcomp}
\usepackage{textcomp}
\usepackage[nointegrals]{wasysym}
\usepackage[table]{xcolor}
\usepackage{ifpdf,ifxetex}

% Font selection
\usepackage[T1]{fontenc}
\usepackage[scaled=.90]{helvet}
\usepackage{courier}
\usepackage{amssymb}
\usepackage{sectsty}
\renewcommand{\familydefault}{\sfdefault}
\allsectionsfont{%
  \fontseries{bc}\selectfont%
  \color{darkgray}%
}
\renewcommand{\DoxyLabelFont}{%
  \fontseries{bc}\selectfont%
  \color{darkgray}%
}
\newcommand{\+}{\discretionary{\mbox{\scriptsize$\hookleftarrow$}}{}{}}

% Arguments of doxygenemoji:
% 1) ':<text>:' form of the emoji, already "LaTeX"-escaped
% 2) file with the name of the emoji without the .png extension
% in case image exist use this otherwise use the ':<text>:' form
\newcommand{\doxygenemoji}[2]{%
  \IfFileExists{./#2.png}{\raisebox{-0.1em}{\includegraphics[height=0.9em]{./#2.png}}}{#1}%
}
% Page & text layout
\usepackage{geometry}
\geometry{%
  a4paper,%
  top=2.5cm,%
  bottom=2.5cm,%
  left=2.5cm,%
  right=2.5cm%
}
\tolerance=750
\hfuzz=15pt
\hbadness=750
\setlength{\emergencystretch}{15pt}
\setlength{\parindent}{0cm}
\newcommand{\doxynormalparskip}{\setlength{\parskip}{3ex plus 2ex minus 2ex}}
\newcommand{\doxytocparskip}{\setlength{\parskip}{1ex plus 0ex minus 0ex}}
\doxynormalparskip
\makeatletter
\renewcommand{\paragraph}{%
  \@startsection{paragraph}{4}{0ex}{-1.0ex}{1.0ex}{%
    \normalfont\normalsize\bfseries\SS@parafont%
  }%
}
\renewcommand{\subparagraph}{%
  \@startsection{subparagraph}{5}{0ex}{-1.0ex}{1.0ex}{%
    \normalfont\normalsize\bfseries\SS@subparafont%
  }%
}
\makeatother

\makeatletter
\newcommand\hrulefilll{\leavevmode\leaders\hrule\hskip 0pt plus 1filll\kern\z@}
\makeatother

% Headers & footers
\usepackage{fancyhdr}
\pagestyle{fancyplain}
\fancyhead[LE]{\fancyplain{}{\bfseries\thepage}}
\fancyhead[CE]{\fancyplain{}{}}
\fancyhead[RE]{\fancyplain{}{\bfseries\leftmark}}
\fancyhead[LO]{\fancyplain{}{\bfseries\rightmark}}
\fancyhead[CO]{\fancyplain{}{}}
\fancyhead[RO]{\fancyplain{}{\bfseries\thepage}}
\fancyfoot[LE]{\fancyplain{}{}}
\fancyfoot[CE]{\fancyplain{}{}}
\fancyfoot[RE]{\fancyplain{}{\bfseries\scriptsize Generated by Doxygen }}
\fancyfoot[LO]{\fancyplain{}{\bfseries\scriptsize Generated by Doxygen }}
\fancyfoot[CO]{\fancyplain{}{}}
\fancyfoot[RO]{\fancyplain{}{}}
\renewcommand{\footrulewidth}{0.4pt}
\renewcommand{\chaptermark}[1]{%
  \markboth{#1}{}%
}
\renewcommand{\sectionmark}[1]{%
  \markright{\thesection\ #1}%
}

% Indices & bibliography
\usepackage{natbib}
\usepackage[titles]{tocloft}
\setcounter{tocdepth}{3}
\setcounter{secnumdepth}{5}
\makeindex

\usepackage{newunicodechar}
  \newunicodechar{⁻}{${}^{-}$}% Superscript minus
  \newunicodechar{²}{${}^{2}$}% Superscript two
  \newunicodechar{³}{${}^{3}$}% Superscript three

% Hyperlinks (required, but should be loaded last)
\ifpdf
  \usepackage[pdftex,pagebackref=true]{hyperref}
\else
  \ifxetex
    \usepackage[pagebackref=true]{hyperref}
  \else
    \usepackage[ps2pdf,pagebackref=true]{hyperref}
  \fi
\fi

\hypersetup{%
  colorlinks=true,%
  linkcolor=blue,%
  citecolor=blue,%
  unicode%
}

% Custom commands
\newcommand{\clearemptydoublepage}{%
  \newpage{\pagestyle{empty}\cleardoublepage}%
}

\usepackage{caption}
\captionsetup{labelsep=space,justification=centering,font={bf},singlelinecheck=off,skip=4pt,position=top}

\usepackage{etoc}
\etocsettocstyle{\doxytocparskip}{\doxynormalparskip}
\renewcommand{\numberline}[1]{#1~}
%===== C O N T E N T S =====

\begin{document}

% Titlepage & ToC
\hypersetup{pageanchor=false,
             bookmarksnumbered=true,
             pdfencoding=unicode
            }
\pagenumbering{alph}
\begin{titlepage}
\vspace*{7cm}
\begin{center}%
{\Large U\+N\+I\+Q\+O\+RN -\/-\/ The Universal Neural-\/network Interface for Quantum Observable Readout from N-\/body wavefunctions }\\
\vspace*{1cm}
{\large Generated by Doxygen 1.8.17}\\
\end{center}
\end{titlepage}
\clearemptydoublepage
\pagenumbering{roman}
\tableofcontents
\clearemptydoublepage
\pagenumbering{arabic}
\hypersetup{pageanchor=true}

%--- Begin generated contents ---
\chapter{U\+N\+I\+Q\+O\+RN -- Universal Neural Network Interface for Quantum Observable Readout from N-\/body wavefunctions}
\label{index}\hypertarget{index}{}\input{index}
\chapter{Namespace Index}
\input{namespaces}
\chapter{Hierarchical Index}
\input{hierarchy}
\chapter{Class Index}
\input{annotated}
\chapter{File Index}
\input{files}
\chapter{Namespace Documentation}
\input{namespaceDataGenerator}
\input{namespaceDataLoading}
\input{namespaceDataPreprocessing}
\input{namespaceError__from__formula}
\input{namespacefunctions}
\input{namespaceHyperParameterOpt}
\input{namespaceHyperParameterOpt__Worker}
\input{namespaceInput}
\input{namespaceModels}
\input{namespaceModelTrainingAndValidation}
\input{namespacePlotInteractiveHyperParameterOpt}
\input{namespaceRegression__Loop__NShots}
\input{namespacerel__phase__package}
\input{namespaceRuntime__check}
\input{namespacetest__interpolate__spline}
\input{namespaceUNIQORN}
\input{namespaceVisualization}
\chapter{Class Documentation}
\input{classDataGenerator_1_1DataGenerator}
\input{classHyperParameterOpt__Worker_1_1MyWorker}
\chapter{File Documentation}
\input{Error__from__formula_8py}
\input{Errors__DENS__in__K__from__SSS__in__K__from__formula__120__datasets_8txt}
\input{Errors__RHO2_8txt}
\input{Errors__Rho2__X__from__SS__X__formula__40datasets_8txt}
\input{Errors__Rho2__X__from__SS__X__formula__NDatasets__100_8txt}
\input{Errors__Rho2__X__from__SS__X__formula__NDatasets__1000_8txt}
\input{Errors__RHO2in__X__from__SSS__in__K_8txt}
\input{Errors__Rho__X__from__SS__X__formula__NDatasets__1000_8txt}
\input{Errors__Rho__X__from__SS__X__formula__NDatasets__120_8txt}
\input{Errors__Rho__X__from__SS__X__formula__NDatasets__200_8txt}
\input{Errors__Rho__X__from__SS__X__formula__NDatasets__2000_8txt}
\input{HyperParameterOpt_8py}
\input{Input_8py}
\input{PlotInteractiveHyperParameterOpt_8py}
\input{README_8md}
\input{Regression__Loop__NShots_8py}
\input{DataGenerator_8py}
\input{DataLoading_8py}
\input{DataPreprocessing_8py}
\input{functions_8py}
\input{HyperParameterOpt__Worker_8py}
\input{Models_8py}
\input{ModelTrainingAndValidation_8py}
\input{rel__phase__package_8py}
\input{Runtime__check_8py}
\input{test__interpolate__spline_8py}
\input{Visualization_8py}
\input{UNIQORN_8ipynb}
\input{UNIQORN_8py}
\input{Untitled_8ipynb}
\input{VizGrid_8txt}
\input{Xboundaries_8txt}
%--- End generated contents ---

% Index
\backmatter
\newpage
\phantomsection
\clearemptydoublepage
\addcontentsline{toc}{chapter}{\indexname}
\printindex

\end{document}
